module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 87);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 87:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/nav/src/main.vue?vue&type=template&id=1a04eab4&
var render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: ["el-nav", { "el-nav--minimize": !_vm.isMouseEnter }],
      style: _vm.navStyle,
    },
    [
      _c(
        "div",
        {
          staticClass: "el-nav__ul",
          style: _vm.width ? "width:" + _vm.width + ";" : "",
          on: { mouseenter: _vm.handleEnter, mouseleave: _vm.handleLeave },
        },
        [
          _c("NavNode", {
            attrs: { activeIndex: _vm.activeIndex, list: _vm.treeList },
            on: { handleNavClick: _vm.handleNavClick },
          }),
          _c("div", {
            staticClass: "el-nav__up",
            on: {
              click: function ($event) {
                return _vm.handleNavClick(_vm.list[_vm.activeIndex - 1])
              },
            },
          }),
          _c("div", {
            staticClass: "el-nav__down",
            on: {
              click: function ($event) {
                return _vm.handleNavClick(_vm.list[_vm.activeIndex + 1])
              },
            },
          }),
        ],
        1
      ),
    ]
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/nav/src/main.vue?vue&type=template&id=1a04eab4&

// CONCATENATED MODULE: ./packages/common/index.js
// 长度不足补0
function fillZero(num, length) {
  if (!length) length = 2;
  var chaLen = length - num.toString().length;
  if (chaLen) {
    return Array(chaLen + 1).join('0') + num.toString();
  }
  return num;
}

// 日期转字符串
function dateToStr(datetime, format) {
  if (!datetime) datetime = new Date();
  if (!format) format = 'yyyy-MM-dd';
  var formateArr = ['yyyy', 'MM', 'dd', 'hh', 'mm', 'ss'];
  var returnArr = [];
  returnArr.push(datetime.getFullYear());
  returnArr.push(fillZero(datetime.getMonth() + 1));
  returnArr.push(fillZero(datetime.getDate()));
  returnArr.push(fillZero(datetime.getHours()));
  returnArr.push(fillZero(datetime.getMinutes()));
  returnArr.push(fillZero(datetime.getSeconds()));
  for (var i in returnArr) {
    format = format.replace(formateArr[i], returnArr[i]);
  }
  return format;
}

// 时间字符串2018-12-12转换成日期
function strToDate(str) {
  if (!str) return null;
  var datetime = new Date();
  datetime.setFullYear(parseInt(str.split('-')[0], 10));
  datetime.setMonth(parseInt(str.split('-')[1], 10) - 1);
  datetime.setDate(parseInt(str.split('-')[2], 10));
  return datetime;
}

// 日期加减 var newDate = dateAdd("2018-12-12", "dd", -3)
function dateAdd(mydate, type, add) {
  var d = new Date(mydate);
  if (type === 'dd') {
    // 天
    d.setDate(d.getDate() + add);
  }
  if (type === 'MM') {
    // 月
    d.setMonth(d.getMonth() + add);
  }
  if (type === 'yyyy') {
    // 年
    d.setFullYear(d.getFullYear() + add);
  }
  return d;
}

/**
 * 滚动到指定位置
 * scrollDom: 滚动容器
 * type: top（默认顶部） || bottom（底部）|| dom（滚动到指定元素位置）
 * */
function scrollTo(scrollDom, type) {
  if (scrollDom) {
    var top = 0;
    if (type) {
      if (type === 'top') {} else if (type === 'bottom') {
        top = scrollDom.scrollHeight;
      } else {
        top = type.offsetTop - scrollDom.offsetTop;
      }
    }
    scrollDom.scrollTo({
      top: top,
      behavior: 'smooth'
    });
  }
}

/**
 * 打开全屏窗口页面
 * url: 页面地址
 * title: 页面标题
 * close: 打开窗口页面关闭时触发事件
 * time: 实时监听关闭时间间隔，默认800
 * */
function openMax(url, title, close, time) {
  var width = window.screen.availWidth;
  var height = window.screen.availHeight;
  var Left_size = 0;
  var Top_size = 0;
  var win = window.open(url, '_blank', 'width=' + width + 'px, height=' + height + 'px, left=' + Left_size + 'px, top=' + Top_size + 'px,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes');
  if (title) win.document.title = title;
  if (Object.prototype.toString.apply(close) === '[object Function]') {
    var loop = setInterval(function () {
      if (win.closed) {
        clearInterval(loop);
        close();
      } else {
        win.document.title = title;
      }
    }, time || 800);
  }
  return win;
}

/**
 * 打开自定义窗口页面
 * url: 页面地址
 * title: 页面标题
 * config: 页面属性
 * close: 打开窗口页面关闭时触发事件
 * time: 实时监听关闭时间间隔，默认800
 * */
function openWindow(url, title, config, close, time) {
  var width = window.screen.availWidth - 10;
  var height = window.screen.availHeight - 30;
  var Left_size = screen.width ? (screen.width - width) / 2 : 0;
  var Top_size = screen.height ? (screen.height - height) / 2 : 0;
  var win = window.open(url, '_blank', config || 'width=' + width + 'px, height=' + height + 'px, left=' + Left_size + 'px, top=' + Top_size + 'px,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes');
  if (title) win.document.title = title;
  if (Object.prototype.toString.apply(close) === '[object Function]') {
    var loop = setInterval(function () {
      if (win.closed) {
        clearInterval(loop);
        close();
      } else {
        win.document.title = title;
      }
    }, time || 800);
  }
  return win;
}

/**
 * 布局拖拽改变高度**/
function layoutDragHeight(e, type, dom, wrapDom, callback) {
  e.preventDefault();
  var dragBox = dom;
  var maxHeight = wrapDom.clientHeight - e.target.clientHeight;
  var oldHeight = dom.clientHeight;
  var oldPointerY = e.clientY;
  var newHeight = null;

  document.onmousemove = function (e) {
    e.preventDefault();
    if (!dragBox) return false;
    var currentPointerY = e.clientY;
    newHeight = type === 'bottom' ? oldPointerY - currentPointerY + oldHeight : currentPointerY - oldPointerY + oldHeight;
    if (newHeight < 0) newHeight = 0;
    if (newHeight > maxHeight) newHeight = maxHeight;
    dragBox.style.height = newHeight + 'px';
  };

  document.onmouseup = function () {
    if (dragBox && callback) callback(newHeight === 0);
    dragBox = null;
    document.onmousemove = null;
  };
}

/**
 * 布局拖拽改变宽度**/
function layoutDragWidth(e, type, dom, wrapDom, callback) {
  e.preventDefault();
  var dragBox = dom;
  var maxWidth = wrapDom.clientWidth - e.target.clientWidth;
  var oldWidth = dom.clientWidth;
  var oldPointerX = e.clientX;
  var newWidth = null;

  document.onmousemove = function (e) {
    e.preventDefault();
    if (!dragBox) return false;
    var currentPointerX = e.clientX;
    newWidth = type === 'right' ? oldPointerX - currentPointerX + oldWidth : currentPointerX - oldPointerX + oldWidth;
    if (newWidth < 0) newWidth = 0;
    if (newWidth > maxWidth) newWidth = maxWidth;
    dragBox.style.width = newWidth + 'px';
  };

  document.onmouseup = function () {
    if (dragBox && callback) callback(newWidth === 0);
    dragBox = null;
    document.onmousemove = null;
  };
}
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/nav/src/nav-node.vue?vue&type=template&id=d2eee332&
var nav_nodevue_type_template_id_d2eee332_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      directives: [
        { name: "show", rawName: "v-show", value: true, expression: "true" },
      ],
      staticClass: "el-nav__list",
    },
    _vm._l(_vm.list, function (item) {
      return _c(
        "p",
        {
          key: item.content + item.index,
          class: ["el-nav--level" + item.level],
        },
        [
          _c(
            "span",
            {
              staticClass: "el-nav__label",
              class: [{ "is-active": _vm.activeIndex === item.index }],
              on: {
                click: function ($event) {
                  return _vm.handleNavClick(item)
                },
              },
            },
            [_vm._v(_vm._s(item.content))]
          ),
          item.children && item.children.length
            ? _c("i", {
                staticClass: "el-nav__arrow",
                class: _vm.open ? "el-icon-arrow-up" : "el-icon-arrow-down",
                on: {
                  click: function ($event) {
                    _vm.open = !_vm.open
                  },
                },
              })
            : _vm._e(),
          item.children && item.children.length && _vm.open
            ? _c("NavNode", {
                attrs: { activeIndex: _vm.activeIndex, list: item.children },
                on: { handleNavClick: _vm.handleNavClick },
              })
            : _vm._e(),
        ],
        1
      )
    }),
    0
  )
}
var nav_nodevue_type_template_id_d2eee332_staticRenderFns = []
nav_nodevue_type_template_id_d2eee332_render._withStripped = true


// CONCATENATED MODULE: ./packages/nav/src/nav-node.vue?vue&type=template&id=d2eee332&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/nav/src/nav-node.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var nav_nodevue_type_script_lang_js_ = ({
  name: 'NavNode',
  components: { NavNode: nav_node },
  props: {
    list: {
      // 导航子元素宽度
      type: Array,
      default: function _default() {
        return [];
      }
    },
    activeIndex: {
      // 导航子元素宽度
      type: Number,
      default: function _default() {
        return '';
      }
    }
  },
  data: function data() {
    return {
      open: true
    };
  },

  methods: {
    handleNavClick: function handleNavClick(item) {
      this.$emit('handleNavClick', item);
    }
  }
});
// CONCATENATED MODULE: ./packages/nav/src/nav-node.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_nav_nodevue_type_script_lang_js_ = (nav_nodevue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(1);

// CONCATENATED MODULE: ./packages/nav/src/nav-node.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_nav_nodevue_type_script_lang_js_,
  nav_nodevue_type_template_id_d2eee332_render,
  nav_nodevue_type_template_id_d2eee332_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/nav/src/nav-node.vue"
/* harmony default export */ var nav_node = (component.exports);
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/nav/src/main.vue?vue&type=script&lang=js&
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'ElNav',
  components: { NavNode: nav_node },
  props: {
    navStyle: {
      // 需要设置的style,如居左居右距离顶部高度等
      type: String,
      default: function _default() {
        return 'top:80px;right:0;';
      }
    },
    scrollId: {
      // 滚动的父级id
      type: String,
      default: function _default() {
        return '';
      }
    },
    width: {
      // 导航子元素宽度
      type: String,
      default: function _default() {
        return '';
      }
    }
  },
  data: function data() {
    return {
      isScroll: false, // 是否滚动中
      isMouseEnter: false, // 是否鼠标键入
      list: [], // 所有导航
      treeList: [], // 树形结构
      activeIndex: 0, // 当前导航定位
      isShow: true, // 是否全部展开
      itemName: '*[el-nav]'
    };
  },
  mounted: function mounted() {
    if (this.scrollId) {
      this.itemName = '#' + this.scrollId + ' *[el-nav]';
    }
    this.loadTimeline();
  },

  methods: {
    // 加载导航
    loadTimeline: function loadTimeline() {
      var _this = this;

      this.$nextTick(function () {
        var list = [];
        var items = document.querySelectorAll(_this.itemName);
        items.forEach(function (item, index) {
          list.push({
            content: item.getAttribute('el-nav') || item.innerText,
            index: index,
            level: item.getAttribute('nav-level') || 1
          });
        });
        _this.list = list;
        _this.treeList = _this.formatData(list);

        _this.$nextTick(function () {
          var parent = _this.scrollId ? document.querySelector('#' + _this.scrollId) : _this.$parent.$el;
          parent.removeEventListener('scroll', _this.mainScroll);
          parent.addEventListener('scroll', _this.mainScroll);
        });
      });
    },

    // 鼠标键入
    handleEnter: function handleEnter(e) {
      this.isMouseEnter = true;
    },

    // 鼠标移出
    handleLeave: function handleLeave(e) {
      this.isMouseEnter = false;
    },

    // 导航点击
    handleNavClick: function handleNavClick(item) {
      var _this2 = this;

      this.activeIndex = item.index;
      var items = document.querySelectorAll(this.itemName);
      this.isScroll = true;
      this.$nextTick(function () {
        scrollTo(_this2.scrollId ? document.querySelector('#' + _this2.scrollId) : _this2.$parent.$el, item.index ? items[item.index] : null);
        setTimeout(function () {
          _this2.isScroll = false;
        }, 1500);
      });
    },

    // 主题滚动自动定位
    mainScroll: function mainScroll() {
      var _this3 = this;

      var items = document.querySelectorAll(this.itemName);

      if (!this.isScroll) {
        this.$nextTick(function () {
          var parent = _this3.scrollId ? document.querySelector('#' + _this3.scrollId) : _this3.$parent.$el;

          for (var i = 0; i < items.length; i++) {
            var item = items[i];
            if (item.offsetTop - parent.scrollTop < parent.offsetTop + items[0].offsetTop) {
              _this3.activeIndex = i;
            }
          }
        });
      }
    },
    moreClick: function moreClick(item) {
      this.$emit('moreClick', item);
    },
    formatData: function formatData(data) {
      var result = [];
      var currentLevel1 = null;
      var currentLevel2 = null;

      data.forEach(function (item) {
        if (item.level === '1') {
          // 遇到新的一级标题，将之前的一级标题加入结果列表
          if (currentLevel1 !== null) {
            result.push(currentLevel1);
          }
          currentLevel1 = _extends({}, item, { children: [] });
          currentLevel2 = null;
        } else if (item.level === '2') {
          // 遇到二级标题，加入当前一级标题的children
          if (currentLevel1 !== null) {
            currentLevel1.children.push(_extends({}, item, { children: [] }));
            currentLevel2 = currentLevel1.children[currentLevel1.children.length - 1];
          }
        } else if (item.level === '3' || Number(item.level) > '3') {
          // 遇到三级标题，加入当前二级标题的children
          if (currentLevel2 !== null) {
            currentLevel2.children.push(_extends({}, item));
          }
        } else {
          // 遇到新的一级标题，将之前的一级标题加入结果列表
          if (currentLevel1 !== null) {
            result.push(currentLevel1);
          }
          currentLevel1 = _extends({}, item, { children: [] });
          currentLevel2 = null;
        }
      });
      // 将最后一个一级标题加入结果列表
      if (currentLevel1 !== null) {
        result.push(currentLevel1);
      }
      return result;
    }
  }
});
// CONCATENATED MODULE: ./packages/nav/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/nav/src/main.vue





/* normalize component */

var main_component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var main_api; }
main_component.options.__file = "packages/nav/src/main.vue"
/* harmony default export */ var main = (main_component.exports);
// CONCATENATED MODULE: ./packages/nav/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var nav = __webpack_exports__["default"] = (main);

/***/ })

/******/ });